import 'dart:async';

import 'package:flutter/material.dart';
import 'package:guru_utils/controller/lifecycle_controller.dart';
import 'package:injectable/injectable.dart';
import 'package:guru_app/controller/assets_aware.dart';
import 'package:guru_app/financial/igc/igc_manager.dart';
import 'package:guru_app/financial/iap/iap_manager.dart';
import 'package:guru_app/financial/product/product_model.dart';


@injectable
class AssetsDebugController extends LifecycleController with AssetsAware {

  AssetsDebugController();

  void clearGems() {
    IgcManager.instance.clear();
  }

  @override
  void onClose() {
    super.onClose();
  }
}
